Package com.mockobjects.sql

# Class MockArray

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.sql.MockArray

All Implemented Interfaces:
  `Verifiable`, `Array`

public class MockArray extends MockObject implements Array
MockArray.java

Version:
  $Revision: 1.1 $
Author:
  ggalli@e-tree.com

## Constructor Summary

Constructors
Constructor
Description
`MockArray()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getArray()`
`Object`
`getArray(long l, int n)`
`Object`
`getArray(long l, int n, Map map)`
`Object`
`getArray(Map map)`
`int`
`getBaseType()`
`String`
`getBaseTypeName()`
`ResultSet`
`getResultSet()`
`ResultSet`
`getResultSet(long l, int n)`
`ResultSet`
`getResultSet(long l, int n, Map map)`
`ResultSet`
`getResultSet(Map map)`
`void`
`setupArray(Object anArray)`
`void`
`setupBaseTypeName(String aBaseTypName)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Array

`free`

## Constructor Details

### MockArray

public MockArray()

## Method Details

### setupBaseTypeName

public void setupBaseTypeName(String aBaseTypName)

### getBaseTypeName

public String getBaseTypeName()

Specified by:
  `getBaseTypeName` in interface `Array`

### getBaseType

public int getBaseType()

Specified by:
  `getBaseType` in interface `Array`

### getArray

public Object getArray(long l, int n) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray(Map map) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getArray

public Object getArray(long l, int n, Map map) throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### setupArray

public void setupArray(Object anArray)

### getArray

public Object getArray() throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet() throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long l, int n) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(Map map) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

### getResultSet

public ResultSet getResultSet(long l, int n, Map map) throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`